2

I've just updated to QGIS Brighton on Ubuntu 14.04, and I've noticed that when I open Openlayers plugin, in order to load google layers, the whole program suddenly crashes.

The only log I see, when open with terminal is this:

setLayerType: Google Hybrid
 setLayerType: Google Hybrid
OpenlayersController.__init__
[WORKER THREAD] Calling request() asynchronously
[WORKER THREAD] Waiting for the async request to complete
[GUI THREAD] Processing request
page file: file:////home/pablo/.qgis2/python/plugins/openlayers_plugin/weblayers/html/google_hybrid.html
OpenlayersWorker waiting for page to load
Violación de segmento (`core' generado)

Does anybody know something about?

  • Is your OpenLayers plugin also up-to-date? I had to update mine when I upgraded to QGIS 2.6 (although I use Windows). – Joseph Nov 12 '14 at 14:08
  • Yes, is up-to-date. And it seems that crashes not only with Google Layer, but with any other layer in this plugin. – Pablo Pardo Nov 12 '14 at 14:31
  • Could be a possible bug, hopefully others can also advise. – Joseph Nov 12 '14 at 14:32
  • 1
    Use the QuickMapServices plugin instead of OpenLayers. – Ian Turton Jun 6 '16 at 13:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.